Linux Kernelの脆弱性(CVE-2022-36946 )

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

07/28/2022にLinux Kernelの脆弱性(CVE-2022-36946 )が公開されました。今回はこちらの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。




Priority

CVE番号 影響するバージョン 一次情報源 Priority CVSS Score / CVSS Vector
CVE-2022-36946

[PATCH nf] netfilter: nf_queue: do not allow packet truncation below transport header offset

修正方法

各ディストリビューションの情報を確認してください。

CVE概要(詳細はCVEのサイトをご確認ください)

  • https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-36946
    • 境界外メモリアクセスの問題
    • 5.18.14までのLinux Kernelのnet/netfilter/nfnetlink_queue.c中のnfqnl_mangle()には、nf_queueが1バイトのnfta_payloadアトリビュートを持つ場合、skb_pullがskb->lenとして負の値を持ってしまうため、リモートの攻撃者によりDoS(panic)を引き起こすことができる可能性があります。

主なディストリビューションの対応方法

詳細は、各ディストリビューションの提供元にご確認ください


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat SatelliteKatello、Spacewalk等を使うと管理が便利でしょう。

また、OSの再起動が発生しますので、pacemakerなどOSSのクラスタ製品やLifeKeeperなどの商用のクラスタリング製品を使うとサービス断の時間を最小限にすることが出来ます。

日々のメモを更新しています。

セキュリティ関係ニュースを更新しています。個別で情報出せるようになる前の簡単な情報・リンクなんかも載せていきます。

セミナー情報1

2022/06/24にこちらのセミナーで「最近の状況を鑑みた脆弱性対策の重要性について」として2022-Q1の脆弱性の情報を入れながら、脆弱性対策についてお話します。ご興味がありましたらぜひご参加下さい。

前へ

MySQLの脆弱性(Oracle Critical Patch Update Advisory - Jul 2022)

次へ

GnuTLSの脆弱性情報(Moderate: CVE-2022-2509)